#version 150
		
in vec3 Vertex;
out vec4 outColor;

uniform vec4 Color;
uniform mat4 ModelViewProjectionMatrix;

void main(void)
{
	gl_Position = ModelViewProjectionMatrix * vec4(Vertex.xyz, 1);
	outColor = Color;
}
